# Zero Fee

Zero fee will create the transaction hex without any payment input UTXO or change output UTXO. To enable zero fee model simply do not include the paymentUtxo or paymentPrivateKey values in the function argument by passing in "null".

```javascript
const transferHex = await stasTransfer.signed(
    ownerPrivatekey, 
    stasUtxo, 
    destinationAddress, 
    null, 
    null
)
```

The result will be a transaction that does not include any funds to cover the transaction cost and instead the transaction fee will be managed from the miner side through a zero fee authentication model.

{% hint style="warning" %}
Please note that this model is currently not supported by any existing miners on the network.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stastoken.com/library/advanced-features/zero-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
